org.apache.felix.gogo.shell

## Class Shell

- java.lang.Object
- - org.apache.felix.gogo.shell.Shell

    public class Shell
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Shell(org.osgi.framework.BundleContext context, org.apache.felix.service.command.CommandProcessor processor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `gosh(org.apache.felix.service.command.CommandSession session, String[] argv)`
`String[]` `history()`
`Object` `sh(org.apache.felix.service.command.CommandSession session, String[] argv)`
`Object` `source(org.apache.felix.service.command.CommandSession session, String script)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Shell

    public Shell(org.osgi.framework.BundleContext context,
                 org.apache.felix.service.command.CommandProcessor processor)

### Method Detail

#### gosh

    public Object gosh(org.apache.felix.service.command.CommandSession session,
                       String[] argv)
                throws Exception

Throws:
  `Exception`

#### sh

    public Object sh(org.apache.felix.service.command.CommandSession session,
                     String[] argv)
              throws Exception

Throws:
  `Exception`

#### source

    public Object source(org.apache.felix.service.command.CommandSession session,
                         String script)
                  throws Exception

Throws:
  `Exception`

#### history

    public String[] history()